# default values when new /etc/rpm/macros.pear not present
%{!?__pear:       %define __pear       %{_bindir}/pear}
%{!?pear_phpdir:  %define pear_phpdir  %(%{__pear} config-get php_dir  2> /dev/null || echo undefined)}
%{!?pear_docdir:  %define pear_docdir  %(%{__pear} config-get doc_dir  2> /dev/null || echo undefined)}
%{!?pear_testdir: %define pear_testdir %(%{__pear} config-get test_dir 2> /dev/null || echo undefined)}
%{!?pear_datadir: %define pear_datadir %(%{__pear} config-get data_dir 2> /dev/null || echo undefined)}
%{!?pear_xmldir:  %define pear_xmldir  %{pear_phpdir}/.pkgxml}

Summary:      PEAR: Network Socket Interface
Summary(fr):  PEAR: gestion des "sockets" réseaux
Name:         php-pear-Net-Socket
Version:      1.0.6
Release:      5%{?dist}
License:      PHP License
Group:        Development/Libraries
Source:       http://pear.php.net/get/Net_Socket-%{version}.tgz
Source1:      PHP-LICENSE-3.01
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL:          http://pear.php.net/package/Net_Socket

BuildArch:        noarch
BuildRequires:    php-pear(PEAR) >= 1.4.9
Requires:         php-pear(PEAR) >= 1.4.9, php >= 4.3.0
Requires(post):   %{__pear}
Requires(postun): %{__pear}
Provides:         php-pear(Net_Socket) = %{version}

%description
Net_Socket is a class interface to TCP sockets.  It provides blocking
and non-blocking operation, with different reading and writing modes
(byte-wise, block-wise, line-wise and special formats like network
byte-order ip addresses).

%description -l fr
Net_Socket est une classe d'interface sur les "sockets" TCP.
Elle gère les opérations bloquantes et non bloquantes, avec plusieurs
modes de lecture et d'écriture (par octet, par bloc, par ligne, et
des formats spéciaux, comme les adresses IP dans l'ordre des
octets du réseau).

%prep
%setup -c -q
mv package.xml Net_Socket-%{version}/Net_Socket.xml

%{__install} -m 644 -c %{SOURCE1} LICENSE

%install
rm -rf %{buildroot}

cd Net_Socket-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} Net_Socket.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_phpdir}/.??*

%{__mkdir_p} %{buildroot}%{pear_xmldir}
%{__install} -pm 644 Net_Socket.xml %{buildroot}%{pear_xmldir}

%check
# Sanity check
lst=$(find %{buildroot}%{pear_phpdir} -exec grep -q %{buildroot} {} \; -print)
[ ! -z "$lst" ] && echo "Reference to BUILDROOT in $lst" && exit 1;

%clean
rm -rf %{buildroot}

%post
%{__pear} install --nodeps --soft --force --register-only %{pear_xmldir}/Net_Socket.xml >/dev/null || :

%postun
if [ "$1" -eq "0" ]; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only Net_Socket >/dev/null || :
fi

%files
%defattr(-,root,root,-)
%doc LICENSE
%{pear_phpdir}/Net
%{pear_xmldir}/Net_Socket.xml

%changelog
* Fri Sep 08 2006 Remi Collet <Fedora@FamilleCollet.com> 1.0.6-5
- last template.spec

* Sun Sep 03 2006 Remi Collet <Fedora@FamilleCollet.com> 1.0.6-4
- new and simpler %%prep and %%install

* Sat Sep 02 2006 Remi Collet <Fedora@FamilleCollet.com> 1.0.6-3
- install Licence in prep
- use new macros from /etc/rpm/macros.pear
- own /usr/share/pear/Net
- require php >= 4.3.0 (info from PHP_CompatInfo)

* Sat May 20 2006 Remi Collet <Fedora@FamilleCollet.com> 1.0.6-2
- Require pear >= 1.4.9
- bundle the v3.01 PHP LICENSE file
- use --packagingroot (instead of -R)
- check from install to check (as in php-pear)

* Sat May 06 2006 Remi Collet <Fedora@FamilleCollet.com> 1.0.6-1
- spec for extras
- use %%{_datadir}/pear/.pkgxml for XML (Bug #190252)

* Thu Apr 06 2006 Remi Collet <rpms@FamilleCollet.com> 1.0.6-2.fc{3,4,5}.remi
- change /var/lib/pear to %%{_libdir}/php/pear for XML (as in extras for FC5)
- spec cleanning

* Sat Jan  7 2006 Remi Collet <remi.collet@univ-reims.fr> 1.0.6-1.fc{3,4}.remi
- initial RPM
